Subject: Re: [PATCH 1/6] r8169: check dma mapping failures

From: Stanislaw Gruszka <[email-masked]>
Date: Mon, 18 Oct 2010 09:01:15 +0200

On Fri, Oct 15, 2010 at 06:23:55PM +0400, Denis Kirjanov wrote:
> Right, we should pass TX_BUSY to upper layers only when the device hw
> queue is full
> 
> On Fri, Oct 15, 2010 at 5:41 PM, Francois Romieu <[email-masked]> wrote:
> > Stanislaw Gruszka <[email-masked]> :
> >> Check possible dma mapping errors and do clean up if it happens,
> >> when sending frames stop the tx queue.
> >
> > Almost ok: NETDEV_TX_BUSY can not be used like that. Afaik the DMA
> > failure path in the driver really wants a NETDEV_TX_OK (and a device
> > stats update, though missing in tg3 ?).

Ok, I will change that and repost on top of currently applied Eric's 
patch.

Stanislaw